Online Shop Sample

Online Shop Sample

  
Hi,
I was looking to download & use the Online Shop Sample as part of my learning experience, but unfortunately I am having difficulties with the download - can anybody help please?

I am getting the following error (attached) when I try to open the Online Shop sample from the internet.

I am using the latest version of the community edition.

Thanks in advance,

Tony


Actually, it looks like I have downloaded the sample to my locahost, but there are a lot of compatibility type errors and warnings when I try to publish etc - presumably because it is version 5.0?

Any advice would be greatly appreciated, as I would really like to get a hold of an online shop sample.


Regards and thanks,


Tony 
Where did you find this sample app? I'd also like to see some of the techniques used in it.

Thanks
~Joe
Hi,

the online shop was(is) a sample of an app when 5.0 was released and it was available in the welcome page of the service studio.

i can't open the file you've attached, Can you attach the espace or an jpg image so i can take a look?

Cheers, 
RNA
Hi Ricardo,
I think the original error message was a red-herring - I was trying to download it again when I didn't have to - however, i have attached as the first image in the MS word doc.

I got a few license error messages on the download, and now when I open or try to publish the application I get the "missing references" pop-up message (attached) - when I select 'Yes' for this, I get the attached "Add/remove References" box which refers to contacting Outsystems to upgrade my license.

Any thoughts / advice would be greatly appreciated.

Joe,
the application can be found here:
http://www.outsystems.com/GettingStarted/?Version=5.0&LUV=50&SubFolder=Samples/OnlineShop

Tony
Anthony ,

what is the version that you have installed on the server where you are trying to publish? I believe its 5.1 and that functionality (click on the "open online shop sample" button) was only working for 5.0.

I'll get the sample to attach here and meanwhile i'll send the error to OutSystems Support to check this feature.

Cheers,,
RNA
Hi Ricardo,
yes I'm running the latest community edition 5.1.1.7
If there is a version of the online shop sample compatible with v5.1, that would be great :-)

Thanks

Tony
Hi,

as i said before, this was a sample app available only for 5.0.

The espace is in attached as an example, i haven't test it.

Cheers, 
RNA
Hi again,

In Attach it goes the solution

Thanks to our Product Management Team :)

Cheers, 
RNA
Hi Ricardo,
really appreciate your help with this, however, I'm afraid I don't understand what I need to do with the attachments you have added :-(
I have saved and extracted the OnlineShop50 zip file, but not sure what I'm supposed to do with the list of service studio and integration studio documents inside.
Can you advise please?

Thanks again,

Tony
Hi Anthony,

An osp is a solution file that can contains several espaces and extensions and it helps when you want to move an app from one server to another or to simply publish all the components to refresh the existing references.

In that case, you don't have to extract those files. You should go to your service center, and then upload and publish the solution on the solutions TAB.

If more help needed just ask.

Cheers, 
RNA
Hi Ricardo,
thanks for your efforts to try to help me with this.
Unfortunately, I am still getting the same errors with the oml and osp files that you have attached.
As a complete novice with outsystems, I think I need to do some more work learning all about it so that I can better understand what is going on for myself.

Thanks

Tony
Hi Anthony,

I have upgraded and attached the OnlineShop sample to the OutSystems 5.1 version. I have simply removed the references to external extensions (that are not available by default in your OutSystems installation) and upgraded it. You should be able to publish it without problems in your installation. Please bare in mind that I did no throurough testing, so you might find glitches.

As Ricardo Araújo explained, this application was created for version 5.0 of the OutSystems platform, so you should not use it if you are wanting to learn how to develop in the OutSystems technology (the development patterns in this eSpace will be not up-to-date with the latest 5.1 new features).

To learn how to develop in OutSystems, I would propose that you start by following the embedded HowTo's in Service Studio.



Kind Regards,

Daniel Lourenço
OutSystems